Bug 951912 - SELinux is preventing /usr/bin/totem-video-thumbnailer from 'create' accesses on the directory .cache.
Summary: SELinux is preventing /usr/bin/totem-video-thumbnailer from 'create' accesses...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:9768e0306259f87b61bc4c60f8f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-14 10:58 UTC by Scott Tsai
Modified: 2013-04-20 01:02 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-20 01:02:40 UTC


Attachments (Terms of Use)

Description Scott Tsai 2013-04-14 10:58:21 UTC
Description of problem:
1. Login to gnome desktop session
2. rm -rf $HOME/.cache
3. Open a directory of videos with the nautilus file manager
SELinux is preventing /usr/bin/totem-video-thumbnailer from 'create' accesses on the directory .cache.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that totem-video-thumbnailer should be allowed create access on the .cache directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep totem-video-thu /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:user_home_dir_t:s0
Target Objects                .cache [ dir ]
Source                        totem-video-thu
Source Path                   /usr/bin/totem-video-thumbnailer
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           totem-3.6.3-2.fc18.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.11.1-87.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.8.6-203.fc18.x86_64 #1 SMP Tue
                              Apr 9 19:33:01 UTC 2013 x86_64 x86_64
Alert Count                   384
First Seen                    2013-04-14 18:49:05 CST
Last Seen                     2013-04-14 18:55:33 CST
Local ID                      980cc100-b1a0-4cb6-81d3-6c502bd5114c

Raw Audit Messages
type=AVC msg=audit(1365936933.152:795): avc:  denied  { create } for  pid=26099 comm="totem-video-thu" name=".cache" scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_dir_t:s0 tclass=dir


type=SYSCALL msg=audit(1365936933.152:795): arch=x86_64 syscall=mkdir success=no exit=EACCES a0=11df1c0 a1=1ff a2=11df1d3 a3=22 items=0 ppid=4137 pid=26099 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 ses=2 tty=(none) comm=totem-video-thu exe=/usr/bin/totem-video-thumbnailer subj=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 key=(null)

Hash: totem-video-thu,thumb_t,user_home_dir_t,dir,create

audit2allow

#============= thumb_t ==============
allow thumb_t user_home_dir_t:dir create;

audit2allow -R
require {
	type thumb_t;
}

#============= thumb_t ==============
userdom_create_user_home_dirs(thumb_t)


Additional info:
hashmarkername: setroubleshoot
kernel:         3.8.6-203.fc18.x86_64
type:           libreport

Potential duplicate: bug 812534

Comment 1 Miroslav Grepl 2013-04-15 08:16:04 UTC
Does

# restorecon -Rv /home

fix this issue?

Comment 2 Scott Tsai 2013-04-15 08:39:38 UTC
(In reply to comment #1)
> Does
> # restorecon -Rv /home
> fix this issue?

yes

Comment 3 Daniel Walsh 2013-04-15 16:28:56 UTC
Fixed in selinux-policy-3.12.1-31.fc19.noarch

We need to allow thumb_t to create ~/.cache if it does not exist.

Comment 4 Fedora Update System 2013-04-18 12:51:22 UTC
selinux-policy-3.11.1-91.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-91.fc18

Comment 5 Fedora Update System 2013-04-19 04:49:00 UTC
Package selinux-policy-3.11.1-91.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-91.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-6018/selinux-policy-3.11.1-91.fc18
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2013-04-20 01:02:42 UTC
selinux-policy-3.11.1-91.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.